/*
 * JPA entity PK template
 */

package de.ivu.elect.business.gebietsbaum.entity;

@javax.enterprise.inject.Vetoed
public class GebietsartPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<GebietsartPK> {

  private static final long serialVersionUID = 0L;

  public GebietsartPK() {
    super();
  }

  public GebietsartPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "GebietsartPK:"+getId();
  }

  @Override
  public int compareTo(GebietsartPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
